Overview | Package | Class | Tree | Deprecated | Index | Help
| Xerces 1.2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.wml
Interface WMLTemplateElement

All Superinterfaces:
  Element, Node, WMLElement

All Known Implementing Classes:
  WMLTemplateElementImpl

public interface WMLTemplateElement
extends WMLElement

The interface is modeled after DOM1 Spec for HTML from W3C. The DTD used in this DOM model is from http://www.wapforum.org/DTD/wml_1.1.xml

The 'template' element declares a template for the cards in the deck.

Version:
  $Id: WMLTemplateElement.java,v 1.1 2000/04/23 18:07:44 david Exp $

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`java.lang.String` | `getOnEnterBackward()`
`java.lang.String` | `getOnEnterForward()`
`java.lang.String` | `getOnTimer()`
`void` | `setOnEnterBackward(java.lang.String newValue)`
`void` | `setOnEnterForward(java.lang.String newValue)`
`void` | `setOnTimer(java.lang.String newValue)`

Methods inherited from interface org.apache.wml.WMLElement
`getClassName, getId, setClassName, setId`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Method Detail

### setOnTimer

    public void setOnTimer(java.lang.String newValue)

### getOnTimer

    public java.lang.String getOnTimer()

### setOnEnterBackward

    public void setOnEnterBackward(java.lang.String newValue)

### getOnEnterBackward

    public java.lang.String getOnEnterBackward()

### setOnEnterForward

    public void setOnEnterForward(java.lang.String newValue)

### getOnEnterForward

    public java.lang.String getOnEnterForward()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Xerces 1.2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD